# System76 Power GUI

![header](https://gitea.dockservices.co/G34RZ/system76-power-GUI-x11/raw/branch/main/Screenshot.jpg "(By BG)")

This GUI is built on system76-power application that is used in their GUI implementations. Thus the name. I built this GUI to use with Arch on a window manager running x11.

## Features
- View current power profile
- Switch between Battery, Balanced, and Turbo modes
## Coming Soon
- Automatic profile persistence
- System tray integration

## Dependencies
- system76-power
- polkit (for privilege escalation)

## Build and enable system76-power
```bash
paru -S system76-power
sudo systemctl enable com.system76.PowerDaemon.service
sudo systemctl start com.system76.PowerDaemon.service
systemctl status com.system76.PowerDaemon.service
```
## Dependency Interference
- upower: uninstall or if needed mask using systemd otherwise system76-power will not work, therefore neither will this application. 
## uninstall or mask upower
```bash
sudo pacman -R upower
```
```bash
sudo systemctl mask upower.service
```

## Installation

## AUR
```bash
paru -S system76-power-gui-x11
```

### From source
#### Build and install the package after downloading and cd into dir
```bash
makepkg -si
```

## Usage
Launch the application from your desktop environment's application menu or run:
```bash
system76-power-gui-x11
```
